Name: pam_fprint
Version: 0.2
Release: alt1
Summary: Integrate libfprint with existing applications
Group: System/Base
License: GPLv2
URL: http://www.reactivated.net/fprint/wiki/Main_Page
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: http://downloads.sourceforge.net/fprint/%name-%version.tar.bz2
Source1: %name-system-auth-fprint
Source2: %name-udev.rules

BuildRequires: libpam-devel libfprint-devel 

%description
To integrate libfprint with existing applications, so that users can use 
their fingerprint reading hardware.

%prep
%setup -q
subst 's|^\(pammoddir=\)\(.*\)|\1/%_lib/security|' src/Makefile.am

%build
%autoreconf
%configure \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/pam.d/system-auth-fprint
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/udev/rules.d/90-%name.rules

%pre
%_sbindir/groupadd -r -f fingerprint >/dev/null 2>&1 || :

%files
%doc NEWS README AUTHORS
%_sysconfdir/pam.d/system-auth-fprint
%_sysconfdir/udev/rules.d/90-%name.rules
/%_lib/security/%name.so
%_bindir/*

%changelog
* Sat May 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.2-alt1
- initial release

